<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Procedencia : "/>
        <p:separator />
    <h:form rendered="#{!procedenciaMB.editMode}">
		<p:commandButton value="Nuevo" action="#{procedenciaMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="procedencia" var="ent" value="#{procedenciaMB.list}" widgetVar="procedencia"
                 emptyMessage="No hay resultados para esa busqueda"
                 rows="25" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} ">>
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar:" />
	                <p:inputText id="globalFilter" onkeyup="PF('procedencia').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.descripcion}" headerText="Procedencia" filterMatchMode="contains">
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{procedenciaMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages procedencia" action="#{procedenciaMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar la Procedencia?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{procedenciaMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog> 
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>  
    </h:form>
    <h:form rendered="#{procedenciaMB.editMode}">
        <p:panelGrid columns="3" >
				
                <p:outputLabel for="descripcion" value="Procedencia : " />
                <p:inputText id="descripcion" value="#{procedenciaMB.instance.descripcion}" label="Procedencia" required="true"/>
                <p:message  for="descripcion" display="icon"/>
            
                
            
		</p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{procedenciaMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{procedenciaMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
